/* irda_lib.h 										*/
/* prototypes and definitions for the IrDA library 	*/
/* header file for IrDA library						*/
/* (c) 2003 Opticon Sensors Europe BV				*/

extern char *irda_lib_version(void);
extern int com_open(int port, int abort_key);
extern int com_close(int port, int abort_key);
extern int put_comF(int data, int abort_key);	
extern int get_comF(int timeout, int abort_key);

extern int irda_com_is_empty(void);
extern int irda_com_is_full(void);

extern int transmit_string_ir(char *string, int len, int abort_key);
extern int receive_string(char *CheckStr, int timeout, int abort_key);
extern int Delay(int time, int abort_key);

extern void IrDA_SetFlowControl(int on_off);

