// The graphical menu for a nice look 	
// This menu is changed from OPL9723 
// Graphical demo source to this source for
// OPL9728
//
// By Martin Jansen					
// Opticon Sensors Europe B.V.		

#ifndef __FANCY_MENU_H__
#define __FANCY_MENU_H__

typedef struct{
	char *item;                 // menu item string 
	unsigned char *fnt_picture;	// holds the image to show 
	void(* itemfunc)(void);     // function to be executed on selection of item 
}fancymenus;

typedef struct{
	char *item;
	long value;
}fancyselmenus;


int fancymenu(  fancymenus  *items, int layers[], int max );
int fancyselmenu( fancyselmenus *items, int layers[], int max, long* value, int more );


#endif // __FANCY_MENU_H__ 
