
/* comopen & comclose */

#include <stdio.h>
#include "lib.h"

void main( void )
{
    int ch, open;

    setfont(SMALL_FONT, NULL);
    cursor(AUTOWRAP);

    printf("\nUse trigger to");
    printf("\nopen and close");
    printf("\nthe COM-port. ");

    printf("\nPort open   \n");
    comopen(COM2);    // Open the COM port for the cradle

    open = TRUE;

    for(;;)
    {
        if( (ch = getchar()) != EOF)
        {
            if( ch == TRIGGER_KEY )
            {
                gotoxy(0,3);

                if(open)
                {
                    printf("\fPort closed \n");
                    comclose(COM2);
                }
                else
                {
                    printf("\fPort open   \n");
                    comopen(COM2);
                }
                open = !open;
            }
            else
                putcom( ch );
        }

        if( (ch = getcom( 0 )) != -1)
            putchar( ch );

        idle();    // Very important to lower the power consumption
    }
}
