#include "lib.h"
#include <stdio.h>

#if OPH
/****************************************************************************/
#define FLASH_BLOCK_NUMBER      8               // Do NOT change this value!!!
#define FLASH_ADDRESS           0x1C080000UL;   // Do NOT change this value!!!
/****************************************************************************/
/****************************************************************************/
#elif OPH1004
/****************************************************************************/
#define FLASH_BLOCK_NUMBER      0x10            // Do NOT change this value!!!
#define FLASH_ADDRESS           0x60100000UL;   // Do NOT change this value!!!
/****************************************************************************/
#else    // OPL972x
/****************************************************************************/
#define FLASH_BLOCK_NUMBER      2               // Do NOT change this value!!!
#define FLASH_ADDRESS           0xC20000UL;     // Do NOT change this value!!!
#endif
/****************************************************************************/


void main(void)
{
	printf("\fPress any key\nto ERASE this\nApplication!");
	
	while(!kbhit())
		idle();

	goodreadled(RED, -1);
	printf("\f");

	// Erase settings block (Do not use other block numbers!)
    eraseblock(FLASH_BLOCK_NUMBER);
}

