

/* fcopy() */

#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

void main( void )
{
    static char data[100+1];
    FILE *fp;

    for(;;)
    {
        printf("\fExample of fcopy");

        if( (fp = fopen("C:TEST.DAT", "wb")) != NULL )
        {
            fwrite( data, 1, 100, fp);
            fclose(fp);
        	printf("\nFile Created:\nC:TEST.DAT");
        }

        while( getchar() == EOF )
            idle();

        if( fcopy("C:TEST.DAT", "A:TEST.DAT") != 0 )
        {
            printf("\nCopying failed");
            continue;
        }

        if( fsize("C:TEST.DAT") == fsize("A:TEST.DAT") )
        {
            printf("\nCopied from:\nC:TEST.DAT");
            printf("\nCopied to:\nA:TEST.DAT");
        }
        else
            printf("\nCopying failed");

        while( getchar() == EOF )
            idle();

        remove("C:TEST.DAT");
    }
}
