// The following example demonstrates the use of SetAlarm() function.
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lib.h"

void main( void )
{
    struct time at = {0};

	for(;;)
    {
		if(powereddown())					// Returns true once after being powered down
		{
			sound( TSTANDARD, VHIGH, SERROR, SLOW, SMEDIUM, SHIGH, SLOW, SMEDIUM, SHIGH, 0);

			gettime( &at );					// Get current time
    
			at.ti_sec = 0;
			at.ti_min += 1;					// Set Alarm to next minute
			
			if(at.ti_min >= 60)
			{
				at.ti_min -= 60;

				if(++at.ti_hour >= 24)
					at.ti_hour = 0;
			}

			SetAlarm(&at, ON);				// Configure the Alarm
		}

		idle();								// Reduces the power consumption
	}
}

