
/* batteryvoltage() */

#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

#if DWT
	#define MAXBATTVOLT	500L
#else
	#define MAXBATTVOLT	330L
#endif

void main(void)
{
	unsigned int voltage;

	cursor(NOWRAP);

	printf("\fBattery voltage:");

	while(1)
	{
		voltage=((long)batteryvoltage()*MAXBATTVOLT)/255L;
		gotoxy(0,1);
		printf("%1d.%02d V",(voltage/100),(voltage-100*(voltage/100)));
		sound(TCLICK,VMEDIUM,SHIGH,0);
		goodreadled(GREEN,TCLICK);
		delay(5*50);
	}
}
