

/* cursor() */


#include "lib.h"
#include <stdio.h>

void	main(void)
{	int c;

	cursor(ON);
	printf("\fCursor example");

	while(1)
	{	if ((c=getchar())!=EOF)
		{
			switch(c)
			{
#if PHL_TERMINAL
				case F1_KEY:
					cursor(OFF);
					break;
				case F2_KEY:
					cursor(ON);
					break;
				case F3_KEY:
					cursor(BLINKING);
					break;
#else
				case ENT_KEY:
					cursor(OFF);
					break;
				case UP_KEY:
					cursor(ON);
					break;
				case DOWN_KEY:
					cursor(BLINKING);
					break;
#endif
				default:
					gotoxy(0,1);
					printsymbol(c);
					break;
			}
		}
		idle();
	}
}
