
/* coreleft(), far_malloc(), format() */

#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

void main( void )
{
    char data[20+1];
    FILE *fp;
	char *ptr;

    for(;;)
    {
        printf("\f1: mem = %lu\n", coreleft());

		while( getchar() == EOF )
            idle();

		ptr = far_malloc( 70000L );						// Malloc RAM memory

        printf("2: mem = %lu\n", coreleft());

		while( getchar() == EOF )
            idle();

		if( NULL != ( fp = fopen("TEST.DAT", "wb")))	// Store a file in RAM
        {
            fwrite( data, 1, 20, fp);
            fclose(fp);
        }
		else
		{
			printf("File error!!!\n");
			while(1);
		}

        printf("3: mem = %lu\n", coreleft());

		while( getchar() == EOF )
            idle();

        free(ptr);										// Free RAM memory

		printf("4: mem = %lu\n", coreleft());

		while( getchar() == EOF )
            idle();

		printf("5: formatting...\n");

		format();										// Format RAM disk (remove all files)
    }
}


