#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "lib.h"

void main( void )
{
	struct time t;
	struct date d;
	struct tm unix_time;
	long alarm_time;

	printf("\f\tr  Set Alarm test  \tr\n");
	powereddown();

	for(;;)
	{
		printf("Set new alarm time\n");
		gettime(&t);
		getdate(&d);

		unix_time.tm_hour = t.ti_hour;
		unix_time.tm_min  = t.ti_min;
		unix_time.tm_sec  = t.ti_sec;
		unix_time.tm_mday = d.da_day;
		unix_time.tm_mon  = d.da_mon-1;
		unix_time.tm_year = d.da_year-1900;

		alarm_time = mktime(&unix_time) + 10;

		struct tm *new_time = gmtime(&alarm_time);

		t.ti_hour = new_time->tm_hour;
		t.ti_min  = new_time->tm_min;
		t.ti_sec  = new_time->tm_sec;

		SetAlarm(&t, ON);

		delay(4*50);

		autopowerdown(NOW,0);
		while(!powereddown())
			idle();
	}
}

