
#ifndef __UTILS_H
#define __UTILS_H

#define BCR_MAX  			 50

#define XL                    0
#define XR                  111
#define Y0                    0
#define Y1                   15
#define Y2                   31
#define Y3                   47
#define Y4                   63

#define SCAN                  1
#define KEYS                  2
#define ALPHA                 8
#define NUM                  16
#define FLOAT                32
#define NEGATIVE			 64
#define NOT_OK               -1
#define CLEAR                -1
#define CRADLE               20
#define POWERDOWN            30
#define KBHIT                40

/* days of the week */
//static char day[][9+1] = {"Zondag", "Maandag", "Dinsdag", "Woensdag", "Donderdag", "Vrijdag", "Zaterdag" };
//static char day[][9+1] = {"Sunday", "Monday", "Tuesday", "Wensday", "Thursday", "Friday", "Saturday" };

void info_sound( void );
void keybeep(void);
void errkeybeep(void);
void okbeep(void);
void errbeep(void); 
int waitkey(void);
void setcontrast(void);
//void setdatetime(void);
void rectangle(int x1,int y1,int x2,int y2,int color);
void rectangle3d(int x1,int y1,int x2,int y2,int color);
void draw_bar( int x_pos, int y_pos, int width, int height, int color );

/* input functions */
//int Keyboard( char* string, int max_length, int typ, int x, int y,int line, int num, ... );
//int KeyboardAantal( char* string, int max_length, int typ, int x, int y, int max_x_d, int rect, int num, ... );
//int KeyboardAantald( char* string, int max_length, int nr_dec, int typ, int x, int y,int rect, int num, ... );
//int ScanOrKeyboardInput( char* string, int min_length, int max_length, int typ, int x, int y );
int ScanBarcode( char* string, int *code_id, int min_length, int max_length);
int WaitUntilKeys( int num, ... );
int WaitForAnyKeyTimer( int wait_time ); /* 0 for time out, 1 for kbhit() )*/

char *_strtok(char *str, char *dels);
int what_day_of_week( void );

/* function for writing or reading the flash PHL2700 only */
/*int write_to_flash( char* record, int len, unsigned char* addr );
int read_from_flash( char* buffer, unsigned char * addr );
void clear_flash( int bank_no );	/* clear a specific bank no */


#endif /* __UTILS_H */

