
/* coreleft(), far_malloc(), format() */

#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

void main( void )
{
    static char data[20+1];
    FILE *fp;
	char *ptr;

	set_default_drive(RAM_DISK);

    for(;;)
    {
        printf("\f1: mem = %lu", coreleft());
        
		while( getchar() == EOF )
            idle();
		
		ptr = far_malloc( 70000L );						// Malloc RAM memory

        printf("\f2: mem = %lu", coreleft());

		while( getchar() == EOF )
            idle();
        
		if( NULL != ( fp = fopen("TEST.DAT", "wb")))	// Store a file in RAM
        {
            fwrite( data, 1, 20, fp);
            fclose(fp);
        }

        printf("\f3: mem = %lu", coreleft());

		while( getchar() == EOF )
            idle();

        free(ptr);										// Free RAM memory
		        
		printf("\f4: mem = %lu", coreleft());
		
		while( getchar() == EOF )
            idle();

		format();										// Format RAM disk (remove all files)
    }
}


