
/*  fsize()  */

#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

void main( void )
{
    long size;
    FILE *fp;
    static char data[20+1];
    int recsize;

    for( recsize=0; recsize < 20; recsize++)    // prepare some data
        data[recsize] = 'a' + recsize;      // quit when recsize == 20 

    data[recsize] = '\0';
    printf("\fPress a key");

    for(;;)
    {
        resetkey();
        while( !kbhit())
            idle();

        // Open for appending or else create (binary) file
        if( (fp = fopen("TEST.DAT","a+b")) == NULL)
        {
            printf("\fError opening\nTEST.DAT");
            continue;
        }

        if( fwrite( data, 1, recsize, fp) != recsize)
        {
            fclose( fp );
            printf("\fError writing\nTEST.DAT");
            continue;
        }

        fclose(fp);

        size = fsize("TEST.DAT");
        if( size > -1)
            printf("\fSize = \n%ld bytes", size);
        else
            printf("\fTEST.DAT cannot\nbe found!");
    }
}