
/* comopen & comclose */

#include <stdio.h>
#include "lib.h"

void main( void )
{
    int ch, open;

    printf("\nUse trigger to");
    printf("\nopen and close");
    printf("\nthe COM-port. ");

    printf("\nPort open   \n");
    
	systemsetting("SZ");	// 115200 bps

	comopen(COM0);    // Open the COM port for USB and/or cradle
	

    open = TRUE;

    for(;;)
    {
        if( (ch = getchar()) != EOF)
        {
            if( ch == TRIGGER_KEY )
            {
                if(open)
                {
                    printf("\fPort closed \n");
                    comclose(COM0);
                }
                else
                {
                    printf("\fPort open   \n");
                    comopen(COM0);
                }
                open = !open;
            }
            else
                putcom( ch );
        }

		if( (ch = getcom( 0 )) != -1)
			putchar( ch );
		
        idle();    // Very important to lower the power consumption
    }
}
