
/* batteryvoltage() */

#include <stdio.h>
#include <stdlib.h>
#include "lib.h"

/* MAXBATTVOLTAGE specific for OPL9723 */
#define MAXBATTVOLT	300L


void main(void)
{
	unsigned int voltage;

	cursor(NOWRAP);

	printf("\fBattery voltage:");

	for(;;)
	{
		voltage=(unsigned int)(((long)batteryvoltage()*300L)/1023L);
		gotoxy(0,1);
		printf("%1d.%02d V",(voltage/100),(voltage-100*(voltage/100)));

		sound(TCLICK,VMEDIUM,SHIGH,0);
		goodreadled(GREEN,TCLICK);
		delay(5*50);
	}
}
