
/* getfontsize   */

#include <stdio.h>
#include "lib.h"

#ifndef DISP_WIDTH
#if PHL        // PHL1700-10 and PHL1700-20
   #define DISP_WIDTH  96
   #define DISP_HEIGHT 48
#elif PHL1000  // PHL1300
   #define DISP_WIDTH  96
   #define DISP_HEIGHT 64 // Change height to 48 when indicators need to be on (see cursor() function)
#elif PHL2700  // PHL2700
   #define DISP_WIDTH  128
   #define DISP_HEIGHT 64
#elif OPH      // OPH100x
   #define DISP_WIDTH  112
   #define DISP_HEIGHT 128
#elif PX30
   #define DISP_WIDTH  128
   #define DISP_HEIGHT 128
#else          // OPL97XX and DCL153x series
   #define DISP_WIDTH  112
   #define DISP_HEIGHT 64
#endif
#endif

void main( void )
{
    unsigned int height, width, font=0;

	for(;;)
    {
        if(((++font) % 2) == 0)
            setfont(LARGE_FONT, NULL);
        else
            setfont(SMALL_FONT, NULL);

        getfontsize(&height, &width);

		printf("\f%d chars/line\n%d lines", DISP_WIDTH/width, DISP_HEIGHT/height);

		resetkey();

		while(!kbhit())
            idle();
    }
}


