#include "lib.h"
#include <stdio.h>


void OnOseComInfo(int status, int errorsuccess, int progress, const char *info)
{
	switch (status)
	{
	case STAT_GET_TIME_DATE:
		break;
	case STAT_SET_TIME_DATE:
		break;
	case STAT_GET_OS_VERSION:
		break;
	case STAT_GET_APPL_VERSION:
		break;
	case STAT_XMIT_FILE_TO_PC:
		// if successful then delete the file
		if (errorsuccess == SUCC_COMPLETE)
			remove(info);	// Delete the transfered file
		break;
	case STAT_RECV_FILE_FROM_PC:
		break;
	case STAT_LIST_FILES:
		break;
	}
}


void main(void)
{
	int filecount;
	int key;
	struct ffblk finddata;

	systemsetting("SZ");	// Baud 115200

	for (;;)
	{
		filecount = 0;
		if (findfirst("*.*", &finddata) == OK)
		{
			filecount++;
			while (findnext(&finddata) == OK)
				filecount++;
		}

		printf("\f%d files on disk\n Q1 -> Format disk\n Q2 -> OseComm", filecount);
		WaitKey();
		key = getchar();
		if (key == Q1_KEY)
		{
			format();
			printf("\fDisk formatted");
			WaitKey();
		}
		if (key == Q2_KEY)
		{
			format();
			printf("\fStart OseComm");
			if (OseComm( -1L, ANY_KEYS_ABORT, "OseComm Example", OnOseComInfo) == COMM_OK)
				printf("\nOseComm Success");
			else
				printf("\nOseComm aborted");
		}
		idle();
	}
}
